Discover content (beta)
const url = 'https://api.tryletterhead.com/api/v3/curations/discover';const form = new FormData();form.append('api', 'true');form.append('channels[]', 'letterhead-example-newsletter');form.append('count', '1');form.append('subject', 'Coffee Bean Growth');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/curations/discover \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form api=true \ --form 'channels[]=letterhead-example-newsletter' \ --form count=1 \ --form 'subject=Coffee Bean Growth'Given a subject, Letterhead will try to curate a number of relevant articles to the channels you instruct the API. We try to ensure they are relevant and recent, but please note this API is in beta, and we can’t guarantee that these curations will always hit the mark.
Note that the v3 api requires a key generated from within the company-level settings, which are available only to Letterhead customers on a certain plan.
Version note: at present, you can only pass one channel identifier to channels. Shortly, you will able to pass multiple, or none - which will represent “all channels.”
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Set to true to authenticate with your company API key rather than a signed-in session.
Example
truestring[] | An array of channel identifiers (or channel “slugs”) across which to create a curation.
Example
letterhead-example-newsletterThe number of articles you want Letterhead to try to curate for you. Minimum 1, maximum 10.
Example
1The subject for Letterhead to search.
Example
Coffee Bean GrowthResponses
Section titled “ Responses ”Discover (beta)
object
Example
{ "items": [ "https://www.reuters.com/sports/nhl/sergei-bobrovsky-panthers-shut-out-kings-2025-01-30/", "https://apnews.com/article/1d6c30f9baef4cd7126a4697080a1653", "https://www.axios.com/local/miami/2025/06/18/florida-panthers-stanley-cup-win" ], "message": "We found and are curating recent stories for you around Florida Panthers.", "total": 3}Still can’t find what you need? Contact support.